Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.rwt.service
Interface SettingStoreListener

public interface SettingStoreListener

Setting store listeners are notified by an `ISettingStore`, when an attribute inside the store has been changed (i.e. added, modified, removed).

Since:
  1.1
See Also:
  `ISettingStore.addSettingStoreListener(SettingStoreListener)`, `

  `

Method Summary
`void` `settingChanged(SettingStoreEvent event)` This method is invoked by the setting store, when an attribute inside the store has been changed (i.e.

Method Detail

### settingChanged

    public void settingChanged(SettingStoreEvent event)

  This method is invoked by the setting store, when an attribute inside the store has been changed (i.e. added, modified, removed).

  Parameters:
    `event` - a non-null `ISettingStoreEvent` instance with specific information about the change

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.